gCube Releases portlet does not display
Status: Closed Start date: Nov 03, 2016

Priority: Urgent Due date: Nov 03, 2016

Assignee: Francesco Mangiacrapa % Done: 100%

Category:  Estimated time: 0.00 hour

Infrastructure: Production   

Description

https://services.d4science.org/group/d4science.research-infrastructures.eu/releases

here' is the exception

SEVERE: Servlet.service() for servlet GcubeReleasesPortlet Servlet threw exception

java.lang.LinkageError: loader constraint violation: when resolving interface method "org.gcube.co

mmon.authorization.client.proxy.AuthorizationProxy.generateUserToken(Lorg/gcube/common/authorizati

on/library/provider/UserInfo;Ljava/lang/String;)Ljava/lang/String;" the class loader (instance of 

org/apache/catalina/loader/WebappClassLoader) of the current class, org/gcube/portal/custom/scopem

anager/scopehelper/ScopeHelper, and the class loader (instance of org/apache/catalina/loader/Stand

ardClassLoader) for resolved class, org/gcube/common/authorization/client/proxy/AuthorizationProxy

, have different Class objects for the type orizationProxy.generateUserToken(Lorg/gcube/common/aut

horization/library/provider/UserInfo;Ljava/lang/String;)Ljava/lang/String; used in the signature

    at org.gcube.portal.custom.scopemanager.scopehelper.ScopeHelper.setAuthorizationToken(ScopeHel

per.java:146)

    at org.gcube.portal.custom.scopemanager.scopehelper.ScopeHelper.setContext(ScopeHelper.java:13

0)

    at org.gcube.portlets.admin.gcubereleases.portlet.GcubeReleasesPortlet.doView(GcubeReleasesPor

tlet.java:44)

History

#1 - Nov 03, 2016 05:46 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

#2 - Nov 03, 2016 06:02 PM - Francesco Mangiacrapa

- Subject changed from Cube Releases portlet does not display to gCube Releases portlet does not display

- % Done changed from 0 to 50

The problem is due to a different signature (from compile time to run time, so found on the portal) per a method of the authorization library.

I'm going to fix the issue..

#3 - Nov 04, 2016 10:08 AM - Francesco Mangiacrapa

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

@massimiliano.assante@isti.cnr.it you can use following build in oder to update the porltet in production. Let me know if it works

http://etics.esl.eng.it/etics-repository-ws//reports/id/008b22df-6450-4f48-b85e-8b31e835c4d0/centos6.8_x86_64_gcc447/-/reports/build-status.xml

#4 - Nov 04, 2016 11:27 AM - Massimiliano Assante

- Status changed from Feedback to Closed

it works now,  @gabriele.giammatteo@eng.it please update the release page 

https://services.d4science.org/group/d4science.research-infrastructures.eu/releases

Powered by TCPDF (www.tcpdf.org)

May 01, 2025 1/1

https://services.d4science.org/group/d4science.research-infrastructures.eu/releases
http://etics.esl.eng.it/etics-repository-ws//reports/id/008b22df-6450-4f48-b85e-8b31e835c4d0/centos6.8_x86_64_gcc447/-/reports/build-status.xml
https://services.d4science.org/group/d4science.research-infrastructures.eu/releases
http://www.tcpdf.org

